package de.avatic.lcc.model.db.country;


import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Size;


public class Country {


    private Integer id;

    @NotNull
    @Size(max=2)
    private IsoCode isoCode;

    @NotNull
    @Size(max=5)
    private RegionCode regionCode;

    @NotNull
    @Size(max=255)
    private String name;

    @NotNull
    private Boolean isDeprecated;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public IsoCode getIsoCode() {
        return isoCode;
    }

    public void setIsoCode(IsoCode isoCode) {
        this.isoCode = isoCode;
    }

    public RegionCode getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(RegionCode regionCode) {
        this.regionCode = regionCode;
    }

    public Boolean getDeprecated() {
        return isDeprecated;
    }

    public void setDeprecated(Boolean deprecated) {
        isDeprecated = deprecated;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
